Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AttributeValueArray

    java.lang.Object
      oracle.ifs.common.AttributeValue
          oracle.ifs.common.AttributeValueArray

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, LooselyBoundedCacheable

Direct Known Subclasses:
  AttributeValueBooleanArray, AttributeValueDateArray, AttributeValueDirectoryObjectArray, AttributeValueDoubleArray, AttributeValueIntegerArray, AttributeValueLongArray, AttributeValuePublicObjectArray, AttributeValueSchemaObjectArray, AttributeValueStringArray, AttributeValueSystemObjectArray

    public class AttributeValueArray

extends AttributeValue

An AttributeValueArray represents the value of an array-type Attribute.

AttributeValueArray is an abstract class.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected long` | `m_AttributeId` If this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id.
`protected long` | `m_AuditId` If this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; 0 if this AttributeValue represents the current value of a LibraryObject's Attribute.
`protected int` | `m_Count` The number of elements in this AttributeValue.
`protected long` | `m_ObjectId` If this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property.
`protected oracle.ifs.common.SharedFlag` | `m_ResolvedFlag` Whether the elements of this AttributeValueArray have been retrieved from the database.

Fields inherited from class oracle.ifs.common.AttributeValue
`LONG_ZERO, m_Name`

Constructor Summary
`protected` | `AttributeValueArray()` Constructs an AttrbuteValueArray.
`protected` | `AttributeValueArray(long objectId, java.lang.Long attributeId, long auditId, int count)` Constructs an AttributeValueArray.

Method Summary
`java.lang.String` | `getDatabaseObjectName()` Gets the database object name of the array-type AttributeValue.
`protected void` | `loadElements(AttributeValue source)` Copies the elements from the specified AttributeValue to this AttributeValue.
`AttributeValue` | `processResultSet(java.sql.ResultSet rset)` Processes the result set containing the elements of the array-type AttributeValue.
`protected void` | `resolve(LibrarySessionInterface session)` Ensures that the elements of this AttributeValue have been loaded from the database.

Methods inherited from class oracle.ifs.common.AttributeValue
`added, arrayToHashtable, canPurge, compareTo, convertToBoolean, convertToBooleanArray, convertToBooleanObject, convertToBooleanObjectArray, convertToDate, convertToDateArray, convertToDirectoryObject, convertToDirectoryObjectArray, convertToDouble, convertToDoubleArray, convertToDoubleObject, convertToDoubleObjectArray, convertToInteger, convertToIntegerArray, convertToIntegerObject, convertToIntegerObjectArray, convertToLong, convertToLongArray, convertToLongObject, convertToLongObjectArray, convertToPublicObject, convertToPublicObjectArray, convertToSchemaObject, convertToSchemaObjectArray, convertToString, convertToStringArray, convertToSystemObject, convertToSystemObjectArray, ensureUpperCaseName, getBoolean, getBooleanArray, getBooleanArray, getBooleanObject, getBooleanObjectArray, getBooleanObjectArray, getDataType, getDate, getDateArray, getDateArray, getDirectoryObject, getDirectoryObjectArray, getDirectoryObjectArray, getDouble, getDoubleArray, getDoubleArray, getDoubleObject, getDoubleObjectArray, getDoubleObjectArray, getElementCount, getInteger, getIntegerArray, getIntegerArray, getIntegerObject, getIntegerObjectArray, getIntegerObjectArray, getLibraryObject, getLong, getLongArray, getLongArray, getLongObject, getLongObjectArray, getLongObjectArray, getName, getObject, getPublicObject, getPublicObjectArray, getPublicObjectArray, getSchemaObject, getSchemaObjectArray, getSchemaObjectArray, getString, getStringArray, getStringArray, getSystemObject, getSystemObjectArray, getSystemObjectArray, hashtableToArray, isArrayType, isLibraryObjectArrayType, isLibraryObjectScalarType, isLibraryObjectType, isNullValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newNullAttributeValue, overrideName, removed, setName, toBoolean, toBoolean, toBoolean, toBoolean, toDate, toDate, toDouble, toDouble, toDouble, toInteger, toInteger, toInteger, toLong, toLong, toLong, toLong, toString, toString, toString, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ObjectId

    protected long m_ObjectId

  Description copied from class: `AttributeValueArray`
  If this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property.

  (Unpublished)

### m_AttributeId

    protected long m_AttributeId

  Description copied from class: `AttributeValueArray`
  If this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id.

  (Unpublished)

### m_AuditId

    protected long m_AuditId

  Description copied from class: `AttributeValueArray`
  If this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; 0 if this AttributeValue represents the current value of a LibraryObject's Attribute.

  (Unpublished)

### m_Count

    protected int m_Count

  Description copied from class: `AttributeValueArray`
  The number of elements in this AttributeValue.

  (Unpublished)

### m_ResolvedFlag

    protected oracle.ifs.common.SharedFlag m_ResolvedFlag

  Description copied from class: `AttributeValueArray`
  Whether the elements of this AttributeValueArray have been retrieved from the database.

  (Unpublished)

Constructor Detail

### AttributeValueArray

    protected AttributeValueArray()
                           throws IfsException

  Constructs an AttrbuteValueArray.

  This variant is used when the user explicitly creates an AttributeValue using the static factory methods of AttributeValue.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### AttributeValueArray

    protected AttributeValueArray(long objectId,
                                  java.lang.Long attributeId,
                                  long auditId,
                                  int count)
                           throws IfsException

  Constructs an AttributeValueArray.

  This variant is used to retrieve an array-type AttributeValue from the database. It defers loading the elements of the AttributeValue from the appropriate attribute value database table until they are needed.

  Parameters:
    `objectId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property
    `attributeId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id
    `auditId` - if this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; 0 if this AttributeValue represents the current value of a LibraryObject's Attribute
    `count` - the number of elements in this AttributeValue
  Throws:
    `IfsException` - (IFS-9999) if objectId == -1 and auditId == 0
    `IfsException` - (IFS-19001) if attributeId is null
  (Unpublished)

Method Detail

### resolve

    protected final void resolve(LibrarySessionInterface session)
                          throws IfsException

  Description copied from class: `AttributeValueArray`
  Ensures that the elements of this AttributeValue have been loaded from the database.

  Overrides:
    `resolve` in class `AttributeValue`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### processResultSet

    public AttributeValue processResultSet(java.sql.ResultSet rset)
                                    throws java.lang.Exception

  Description copied from class: `AttributeValueArray`
  Processes the result set containing the elements of the array-type AttributeValue.

  For internal use only. Do not use this method.

  The invoker of this method sucks the elements from the returned object, plugs them into the corresponding cached AttributeValue, and then discards the returned object.

  Parameters:
    `rset` - the result set
  Returns:
    a fully-resolved copy of this AttributeValue
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### loadElements

    protected void loadElements(AttributeValue source)

  Description copied from class: `AttributeValueArray`
  Copies the elements from the specified AttributeValue to this AttributeValue.

  Parameters:
    `source` - the source AttributeValue
  (Unpublished)

### getDatabaseObjectName

    public java.lang.String getDatabaseObjectName()

  Description copied from class: `AttributeValueArray`
  Gets the database object name of the array-type AttributeValue.

  Returns:
    the database object name
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD